import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _MTRContentLauncherClusterTrackPreferenceStruct } from "./MTRContentLauncherClusterTrackPreferenceStruct.js";
export declare class _MTRContentLauncherClusterPlaybackPreferencesStruct extends _NSObject {
    static alloc(): _MTRContentLauncherClusterPlaybackPreferencesStruct;
    static new(): _MTRContentLauncherClusterPlaybackPreferencesStruct;
    init(): _MTRContentLauncherClusterPlaybackPreferencesStruct;
    playbackPosition(): _NSNumber;
    setPlaybackPosition$(value: _NSNumber): void;
    textTrack(): _MTRContentLauncherClusterTrackPreferenceStruct;
    setTextTrack$(value: _MTRContentLauncherClusterTrackPreferenceStruct): void;
    audioTracks(): _NSArray | null;
    setAudioTracks$(value: _NSArray | null): void;
}
export interface _MTRContentLauncherClusterPlaybackPreferencesStruct extends _NSCopying {
}
